Bug 1482274 - Missing scaleio volume plugin in openshift
Summary: Missing scaleio volume plugin in openshift
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.7.0
Assignee: Pavel Pospisil
QA Contact: Wenqi He
URL:
Whiteboard:
Depends On: 1482273
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-17 00:02 UTC by Bradley Childs
Modified: 2017-11-28 22:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: ScaleIO volume plugin is not enabled. Consequence: It's not possible to dynamically provision ScaleIO volumes. Fix: The ScaleIO volume plugin is enabled. Result: It's possible to dynamically provision ScaleIO volumes.
Clone Of: 1482273
Environment:
Last Closed: 2017-11-28 22:07:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Bradley Childs 2017-08-17 00:02:50 UTC
+++ This bug was initially created as a clone of Bug #1482273 +++

Description of problem:
Missing scaleio volume plugin.  Code made kube rebase, but isn't enabled in OpenShift.

Comment 1 Pavel Pospisil 2017-08-17 14:04:45 UTC
Created PR: https://github.com/openshift/origin/pull/15810

Comment 2 hchen 2017-08-17 14:18:37 UTC
lets bot update status once the pr is merged.

Comment 5 Wenqi He 2017-09-25 07:28:10 UTC
I have tested on below version:
openshift v3.7.0-0.127.0
kubernetes v1.7.0+80709908fd

The scaleio plugin has been enabled on 3.7

Sep 25 04:04:41 example.com atomic-openshift-node[14460]: I0925 04:04:41.284082   14460 plugins.go:378] Loaded volume plugin "kubernetes.io/scaleio"
Sep 25 06:40:30 example.com atomic-openshift-node[14460]: I0925 06:40:30.337202   14460 reconciler.go:257] operationExecutor.MountVolume started for volume "vol" (UniqueName: "kubernetes.io/scaleio/6c47d5a3-a1bc-11e7-a90f-000d3a19d542-vol") pod "pod" (UID: "6c47d5a3-a1bc-11e7-a90f-000d3a19d542")
Sep 25 06:40:30 example.com atomic-openshift-node[14460]: I0925 06:40:30.337202   14460 reconciler.go:257] operationExecutor.MountVolume started for volume "vol" (UniqueName: "kubernetes.io/scaleio/6c47d5a3-a1bc-11e7-a90f-000d3a19d542-vol") pod "pod" (UID: "6c47d5a3-a1bc-11e7-a90f-000d3a19d542")

Comment 8 errata-xmlrpc 2017-11-28 22:07:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.